import { Base, Type } from "igniteui-angular-core";
import { ST_SplitType } from "./ST_SplitType";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_SplitType extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_SplitType;
    static e(a: XmlPartManagerBase, b: ST_SplitType): {
        p1: ST_SplitType;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_SplitType): void;
    toString(): string;
}
